Sign inGet Started

List events for an SMS message

GET
/v1/sms/messages/{message_id}/events
const events = await bird.sms.listEvents("sms_abc123");
for (const event of events.data ?? []) {
  console.log(event.type, event.occurred_at);
}
Odpowiedź200
{
  "data": [
    {
      "id": "evt_01krdgeqcxet5s7t44vh8rt9mg",
      "type": "sms.delivered",
      "occurred_at": "2026-05-21T12:00:04Z",
      "carrier": "Verizon",
      "mcc_mnc": "311480",
      "error": {
        "code": "invalid_destination",
        "description": "Carrier filtered as spam"
      }
    }
  ]
}

Returns the lifecycle event timeline for a message, in chronological order.

Parametry

message_idstring

ID of the SMS message (sms_ prefix), as returned when the message was accepted.

Parametry zapytania

typestring

Filter by event type, such as sms.delivered or sms.failed.

Treść odpowiedzi

data
array of object
wymagane

Timeline events for this SMS message, in chronological order. The bounded timeline is returned in full and is not paginated.

Pokaż atrybuty podrzędne

Przejdź do dokumentacji, przewodników i przykładów dotyczących tego tematu.